##### 7.5.10.0. makeUso8

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeUso8([p]); p an optional integer (field characteristic)

Return:
  a ring, describing U(so_8)

Note:
  You have to activate this ring with the 'setring' command. The presentation of U(so_8) is derived from the Chevalley representation of so_8, positive resp. negative roots are denoted by x(i) resp. y(i); Cartan elements are denoted by h(i).

Example:

    LIB "ncalg.lib";
    def ncAlgebra = makeUso8();
    ncAlgebra;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 28
    ==> //        block   1 : ordering dp
    ==> //                  : names    X(1) X(2) X(3) X(4) X(5) X(6) X(7) X(8) X(\
       9) X(10) X(11) X(12) Y(1) Y(2) Y(3) Y(4) Y(5) Y(6) Y(7) Y(8) Y(9) Y(10) Y\
       (11) Y(12) H(1) H(2) H(3) H(4)
    ==> //        block   2 : ordering C
    ==> // noncommutative relations: ...
    setring ncAlgebra;
    // ...  180  noncommutative relations

See also: makeUe6; makeUe7; makeUe8; makeUf4; makeUg2; makeUsl; makeUso5; makeUsp1.

User manual for Singular version 4.4.1, 2025, generated by texi2html.